ANNOUNCE: GHC vesrion 6.4.2

Duncan Coutts duncan.coutts at
Sun Apr 23 12:11:56 EDT 2006

On Wed, 2006-04-19 at 11:59 +0100, Simon Marlow wrote:
> On 19 April 2006 11:53, Christian Maeder wrote:
> > Simon Marlow wrote:
> >> Highlights in this release:
> >> 
> >>   - Cabal has been upgraded to version 1.1.4.
> > 
> > ghc-pkg lists
> > 
> >      Cabal-1.0
> > 
> > in the binary distribution
> >
> z2
> Damn.  Well spotted.  I better re-roll the distributions.

I'm concerned that there are many different versions of Cabal "1.1.4".
The version that GHC 6.4.2 is now shipping is actually a very old
version of Cabal 1.1.4.

There are non-trivial changes (including extra features & API changes)
between the current darcs version of Cabal and the GHC version and yet
both are marked with the same version number. The 1.1.4 tag has meant a
development version but in that case it's not really appropriate for ghc
to ship it with that version number.

I was trying to find which version of Cabal ghc uses so that we can use
that version for Gentoo (we prefer to have Cabal as an external package
to ghc since that makes dep tracking easier and makes it easier for us
to patch & upgrade if necessary). I wanted to use the same version so
that we could have the greatest compatibility with people who will test
their packages with ghc-6.4.2 and the version of Cabal that comes with
that. Is there a date that corresponds to ghc's snapshot of the mainline
darcs repo of Cabal? Alternatively I could make a tarball from ghc's cvs
version of Cabal.

Is there anything we can do for the next release of GHC/Cabal so that we
don't end up with this mess?


More information about the Glasgow-haskell-users mailing list